Loading...
Searching...
No Matches
Dune::DiagonalMatrixWrapper< DiagonalMatrixType > Class Template Reference
Common » Dense Matrix and Vector Template Library

`#include <dune/common/diagonalmatrix.hh>`

Inheritance diagram for Dune::DiagonalMatrixWrapper< DiagonalMatrixType >:

## Public Member Functions

| DiagonalMatrixWrapper ()
| DiagonalMatrixWrapper (const DiagonalMatrixType *mat)
size_type | realIndex (int i) const
row_type * | pointer (int i) const
bool | identical (const DiagonalMatrixWrapper &other) const

## Friends

class | ContainerWrapperIterator< const MyType, reference, reference >
class | ContainerWrapperIterator< const MyType, const_reference, const_reference >

The documentation for this class was generated from the following file:

- diagonalmatrix.hh